# -*- coding: utf-8 -*-
"""
TP - Pompe doseuse
"""

""" BIBLIOTHEQUE """
import numpy as np
import matplotlib.pyplot as pl

""" CONSTANTES """


## Paramètres
# liste des valeurs pour Theta
# on utilise un type Array, avec la fonction linspace
Theta= np.linspace(0,2*np.pi,60)


## FONCTIONS
""" Recupération des données Expérimentales """
def donneesExp(NomFichier):
    #initialisation des listes t et V1
    Temps=[]
    listeX=[]
    with open(NomFichier,'r') as fichier:
        # on lit les 4 lignes d'entête sans rien en faire
        for i in range(4):
            fichier.readline()
        # on enregistre les valeurs des colonnes dans deux listes
        for ligne in fichier :
            ligne=ligne.replace(',','.') # Pour remplacer les , par des .
            t,x=ligne.rstrip('\n').split('\t')
            Temps.append(float(t))
            listeX.append(float(x))
    return Temps,listeX

""" Recupération des données SLDW """
def donneesSldW(NomFichier):
    #initialisation des listes t et Psi
    Temps=[]
    listeX=[]
    with open(NomFichier,'r') as fichier:
        # on lit les 3 lignes d'entête sans rien en faire
        for i in range(3):
            fichier.readline()
        # on enregistre les valeurs des colonnes dans deux listes
        for ligne in fichier :
            t,x=ligne.rstrip('\n').split()
            Temps.append(float(t))
            listeX.append(-float(x)) # pour avoir des mm
    return Temps,listeX



## PROGRAMME PRINCIPAL
""" Résultats Expérimentaux """
ResultExp100=donneesExp('pompe100.txt')



""" Résultats Solidorks """


""" Résultats analytique """








"""" TRACER des courbes """
pl.grid()
pl.plot(ResultExp100[0],ResultExp100[1],label='100%')

pl.legend()
pl.show()
